Subject: Re: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it is documented to do so.

From: Eric Blake <[email-masked]>
Date: Fri, 07 Sep 2012 08:23:19 -0600

On 09/07/2012 08:16 AM, Linda Walsh wrote:
>>
>> We try to make the tools as useful as possible, sometimes adding features
>> when we deem them worthwhile.  However, we are very much against changing
>> the *default* behavior (behavior that has been that way for over 20
>> years and that is compatible with all other vendor-supplied rm programs)
>> without a very good reason.
> 
> ----
>     So if I make it enabled with an ENV var set to RM_FILES_DEPTH_FIRST,
> to enable
> the behavior, then you'd have no problem accepting the patch?

I personally detest new env-vars that change long-standing behavior,
because you then have to audit EVERY SINGLE SCRIPT to ensure that its
use is unimpacted if the new env-var is set.  It must either be an
existing env-var, or my personal preference of a new --long-option.  But
if you want to submit a patch so that 'rm -r --depth-first .' does what
you want, I'm probably 60-40 in favor of including it.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org